Module | Sequel::Swift::Postgres::AdapterMethods
In: | lib/sequel/adapters/swift/postgres.rb

Methods to add to the Swift adapter/connection to allow it to work with the shared PostgreSQL code.

### Methods

execute

### Included Modules

Sequel::Postgres::AdapterMethods

### Public Instance methods

execute(sql, *args)

Log all SQL that goes through the execute method to the related database object.

[Source]

        # File lib/sequel/adapters/swift/postgres.rb, line 17
    17:         def execute(sql, *args)
    18:           @db.log_yield(sql){super}
    19:         rescue SwiftError => e
    20:           @db.send(:raise_error, e)
    21:         end

[Validate]